- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Edje_External_Param Struct Reference
Edje » Edje External

Struct that holds parameters for parts of type EXTERNAL. More...

## Data Fields
const char * | name
| The name of the parameter. More...
Edje_External_Param_Type | type
| The type of the parameter. More...
int | i
| Used by both integer and boolean.
double | d
| Used by double.
const char * | s
| Used by both string and choice.

## Detailed Description

Struct that holds parameters for parts of type EXTERNAL.

## Field Documentation

const char* _Edje_External_Param::name

The name of the parameter.

Referenced by edje_edit_state_add(), edje_edit_state_external_param_bool_get(), edje_edit_state_external_param_choice_get(), edje_edit_state_external_param_double_get(), edje_edit_state_external_param_get(), edje_edit_state_external_param_int_get(), edje_edit_state_external_param_set(), edje_edit_state_external_param_string_get(), and edje_external_param_find().

Edje_External_Param_Type _Edje_External_Param::type

The type of the parameter.

This defines which of the next three variables holds the value for it.

Referenced by edje_edit_state_add(), edje_edit_state_external_param_bool_get(), edje_edit_state_external_param_choice_get(), edje_edit_state_external_param_double_get(), edje_edit_state_external_param_get(), edje_edit_state_external_param_int_get(), edje_edit_state_external_param_set(), edje_edit_state_external_param_string_get(), edje_external_param_bool_get(), edje_external_param_choice_get(), edje_external_param_double_get(), edje_external_param_int_get(), and edje_external_param_string_get().